Subject: Re: Archive question

From: Thomas Dwyer III <[email-masked]>
Date: Wed, 18 Jan 1995 15:13:46 -0500 (EST)

I guess I would do this with cron on the first of each month.  Something like:

	mv funlist-archive funlist-archive.`date +%b`
	touch funlist-archive

would be cool except the month names will all be off by one.  You'd need
something like:

	#!/bin/sh

	set - `date +%m`
	case $1 in
		01)	month="dec"; break;;
		02)	month="jan"; break;;
		03)	month="feb"; break;;
		04)	month="mar"; break;;
		05)	month="apr"; break;;
		06)	month="may"; break;;
		07)	month="jun"; break;;
		08)	month="jul"; break;;
		09)	month="aug"; break;;
		10)	month="sep"; break;;
		11)	month="oct"; break;;
		12)	month="nov"; break;;
		*)	month="unknown"; break;;
	esac

	mv funlist-archive funlist-archive.$month
	touch funlist-archive

You might also want to think about what should happen when the year changes
so you don't start stomping on last year's archives (if you keep them
that long).

Cheers,
Tom.III
[email-masked]

>
>I'm currenly using procmail to store incoming messages into folders 
>which I later convert into HTML for archives.  At the moment I just have 
>one folder for each list, but its getting to the point where I have 300 
>or so messages in the folder.  I'd like to set this process up so that 
>it's a little more structured and organized based on a new folder for 
>each month.  Is there anyway that procmail can be used to create a new 
>folder automatically at the beginning of each month to save messages from 
>the lists I subscribe to?
>
>For example:
>
>	:0c
>	* ^TOfunlist
>	  funlist
>
>	  :A 
>	  funlist-archive
>
>
>What I would like is to have the archive line actually change to the 
>current month and save the archive copy to something like: 
>
>		funlist-archive-jan
>and then:	funlist-archive-feb  etc.
>
>
>Bonus question:  With this simple set up I can't remember if I need to 
>use a lockfile or not.  Should it be:   :0c:  at the top or just  :0c
>
>Thanks, Mark
>
>
>-- 
>Mark Anderson   [email-masked]
>